<bugID>1244650<Summary>Failure to clear Forms and Search Data on exit when configured to</Summary><Description>[Tracking Requested - why for this release]: Leak data regression

+++ This bug was initially created as a clone of Bug #1244525 +++

Build Identifier:
https://hg.mozilla.org/releases/mozilla-aurora/rev/f05cc5ce1dc7ca7305df5598e7c40386c090b6c2
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:46.0) Gecko/20100101 Firefox/46.0 ID:20160131004012

This is regression since 46.

Reproducible: always

Steps to reproduce:

1. Open about:preferences#privacy 
   Select "Use custom settings for history"
   Check "Clear history when Firefox closes" and then click "Setting"
   Check "Form &amp; Search History", if necessary

2. Type "aaaa" and ENTER in serchbar or any other input field w/autocomplete
3. Quit Browser and restart
4. Type "a"
   --- observe form history data

Actual results:
The data was not cleared

Expected results:
The data should have been cleared.

Regression window:
https://hg.mozilla.org/integration/fx-team/pushloghtml?fromchange=c3c230a896320099bc14a1ef4b78e41ecc657b1f&amp;tochange=ea9e749bb86bfb584e8591959ac57278bf43c0e4

Suspect:bug 1211849</Description></bugID>